Api keysIdIp policy
Return per-key IP policy (whitelist, blacklist, virgin state)
Path Parameters
id*string
UUID that identifies an API key or API key right (api_keys_id, api_key_rights_id).
Format
uuidHeader Parameters
apikey*string
The static admin key configured as ATHENA_KEY_12. Authorization headers (Bearer <key>), X-API-Key, X-Athena-Key, or ?api_key= are also accepted.
Response Body
application/json
curl -X GET "https://athena-cluster.com/admin/api-keys/497f6eca-6276-4993-bfeb-53cbbbba6f08/ip-policy" \ -H "apikey: string"{
"data": {
"policy": {
"api_key_id": 0,
"virgin_mode": true,
"virgin_resolved": true,
"virgin_resolved_at": "2019-08-24T14:15:22Z",
"virgin_until_n_requests": 0,
"virgin_request_count": 0,
"max_whitelist_ips": 0,
"whitelist": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"addr": "string",
"label": "string",
"created_at": "2019-08-24T14:15:22Z"
}
],
"blacklist": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"addr": "string",
"label": "string",
"created_at": "2019-08-24T14:15:22Z"
}
]
}
}
}Empty